version: '3'

services:
  database:
    # build: ./database
    image: manticorum67/major-domo-database:dev
    restart: unless-stopped
    container_name: sba_database
    volumes:
      - /home/cal/Development/major-domo/dev-storage:/usr/src/app/storage
      - /home/cal/Development/major-domo/dev-logs:/usr/src/app/logs
    ports:
      - 801:80
    environment:
      - TESTING=False
      - LOG_LEVEL=INFO
      - API_TOKEN=Tp3aO3jhYve5NJF1IqOmJTmk
      - TZ=America/Chicago
      - WORKERS_PER_CORE=1.5
      - TIMEOUT=120
      - GRACEFUL_TIMEOUT=120